Updates the logo for a Subaccount with given id by downloading from given URL. The URL should point to a valid image in a supported image format, and should include the content type for the image in the HTTP response when the image is retrieved from the URL. Supported image types are: PNG (image/png), JPEG (image/jpeg), WEBP (image/webp), and SVG (image/svg+xml).
/subaccounts/{id}/logoAuthorization
string
header
requiredBearer authentication header of the form Bearer <token>, where <token> is your CNaught API key.
id
string
requiredID of subaccount to modify logo for
Subaccount Update Logo From URL Parameters
logo_url
string
requiredURL for a logo to set for this subaccount. The URL must be public. The logo will be downloaded to CNaught's hosting.
Subaccount Details after update
Show response attributes
id
string
Identifier that can be used to retrieve the subaccount details
created_on
string
Timestamp of when the subaccount was created (in UTC)
name
string
Name of the subaccount
string | null
Optional email associated with the subaccount.
default_portfolio_id
string | null
Optional ID of the default portfolio used to fulfilling orders placed for this subaccount. If not specified, the parent account's default portfolio is the default portfolio for the subaccount.
logo_url
string | null
Optional URL for the logo used for this subaccount, if any. This URL is for the logo as stored on CNaught's hosting.
Update Subaccount Logo From URL
curl --request POST \
--url https://api.cnaught.com/v1/subaccounts/<id>/logo \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"logo_url": "http://example.com/logo.png"
}'{
"id": "5nubL0NS",
"name": "Operations Department",
"default_portfolio_id": "eWvNvC12",
"logo_url": "https://customer-assets.cnaught.com/fe0df075-30e2-4e58-9feb-154e72a9205f/subaccount_logo.png"
}